- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- XDisplayBackgroundImage
- XDisplayImage

# NAME

display - Methods to Interactively Display and Edit an Image

# SYNOPSIS

unsigned int XDisplayBackgroundImage( Display *display, XResourceInfo *resource_info, Image *image );

Image * XDisplayImage( Display *display, XResourceInfo *resource_info, char ** argv, int argc, Image ** image, unsigned long *state );

# FUNCTION DESCRIPTIONS

## XDisplayBackgroundImage

Method XDisplayBackgroundImage displays an image in the background of a window.

The format of the XDisplayBackgroundImage method is:

> unsigned int XDisplayBackgroundImage ( Display *display, XResourceInfo *resource_info, Image *image );

A description of each parameter follows:

status:
  Method XDisplayBackgroundImage returns True if the designated window is the root window.

display:
  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:
  Specifies a pointer to a X11 XResourceInfo structure.

image:
  Specifies a pointer to a Image structure; returned from ReadImage.

## XDisplayImage

Method XDisplayImage displays an image via X11. A new image is created and returned if the user interactively transforms the displayed image.

The format of the XDisplayImage method is:

> Image *XDisplayImage ( Display *display, XResourceInfo *resource_info, char **argv, int argc, Image **image, unsigned long *state );

A description of each parameter follows:

nexus:
  Method XDisplayImage returns an image when the user chooses 'Open Image' from the command menu or picks a tile from the image directory. Otherwise a null image is returned.

display:
  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:
  Specifies a pointer to a X11 XResourceInfo structure.

argv:
  Specifies the application's argument list.

argc:
  Specifies the number of arguments.

image:
  Specifies an address to an address of an Image structure; returned from ReadImage.